#pragma once

#include <saas/rtyserver/config/config.h>
#include <saas/library/daemon_base/module/module.h>

class TTrigramComponentConfig: public TPluginConfig<TRTYServerConfig::IComponentConfig> {
protected:
    virtual bool DoCheck() const;
    virtual void DoInit(const TYandexConfig::Section& componentSection);
    virtual void DoToString(IOutputStream& so) const;

public:
    bool IsIgnoreCase() const {
        return IgnoreCase;
    }

private:
    bool IgnoreCase;
};
